<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="html" indent="no" />

<xsl:param name="baseActionURL"></xsl:param>
<xsl:param name="prefForm"></xsl:param>
<xsl:param name="mediaPath"></xsl:param>

<xsl:template match="xml">
	
<form method="post" action="{$baseActionURL}">
	<input type="hidden" name="action" value="createintranet" />

	<table border="0" width="100%" cellspacing="0" cellpadding="10">
		<tr class="uportal-background-med">
			<td class="uportal-channel-table-header">Nouvel intranet</td>
		</tr>
	</table>
		
	<table border="0">
		<tr>
			<td class="uportal-text">Identifiant :</td>
			<td class="uportal-text"><input type="text" size="40" class="uportal-input-text" name="identifiant" /></td>
		</tr>
		<tr>
			<td class="uportal-text">Nom :</td>
			<td class="uportal-text"><input type="text" size="40" class="uportal-input-text" name="nom" /></td>
		</tr>
		<tr>
			<td class="uportal-text">Ressource : </td>
			<td>
			<select name="ressource" class="uportal-input-text">
				<xsl:apply-templates select="ressources/ressource" />
			</select>
			</td>
		</tr>
	</table>
	<br/>
	<input type="submit" class="uportal-button" value="Créer" name="butcreer" /><input type="submit" class="uportal-button" value="Annuler" name="butannul" />
</form>
			
</xsl:template>

<xsl:template match="ressource">
	<xsl:if test="position()='1'">
		<option value="{./@name}" selected="true"><xsl:value-of select="./@description" /></option>
	</xsl:if>
	<xsl:if test="position()!='1'">
		<option value="{./@name}"><xsl:value-of select="./@description" /></option>
	</xsl:if>
</xsl:template>

</xsl:stylesheet>