<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="html" indent="no" />

<xsl:param name="baseActionURL" />
<xsl:param name="prefForm" />
<xsl:param name="mediaPath" />

<xsl:template match="population">

<script language="javascript" src="{$mediaPath}functions.js" >
</script>

<table border="0" width="100%" cellspacing="0" cellpadding="10">
	<tr class="uportal-background-med">
		<td class="uportal-channel-table-header" nowrap="true">Population</td>
		<td>
			<a href="{$baseActionURL}?action=defaultadmin">
				<img src="{$mediaPath}parentfolder.gif" alt="Retour" title="Supprimer" border="0" />
			</a>
		</td>
		<td width="100%">&#160;</td>
	</tr>
</table>
<br/>
<br/>
<table border="0" width="100%" cellpadding="5" cellspacing="0">
	<tr class="uportal-background-highlight">
		<td class="uportal-channel-table-caption" width="50%">Groupes d'utilisateurs</td>
		<td class="uportal-channel-table-caption" width="50%">Utilisateurs</td>
	</tr>
	<tr valign="top">
		<td>
			<table border="0" width="100%" cellpadding="5" cellspacing="0">
				<tr class="uportal-background-med">
					<td>&#160;</td>
					<td class="uportal-channel-table-caption" nowrap="true">Nom</td>
					<td width="100%">&#160;</td>
				</tr>
					<xsl:apply-templates select="groups/group" />						
			</table>
			<br/>
			<form method="post" action="{$baseActionURL}">
				<input type="hidden" name="action" value="groupsmanager" />
				<input class="uportal-button" type="submit" value="Ajouter" name="butadd" />
			</form>
		</td>
		
		<td>
			<table border="0" width="100%" cellpadding="5" cellspacing="0">
				<tr class="uportal-background-med">
					<td>&#160;</td>
					<td class="uportal-channel-table-caption" nowrap="true">Nom</td>
					<td width="100%">&#160;</td>
				</tr>
				<xsl:apply-templates select="users/user">
					<xsl:sort select="@displayname" order="ascending" />
				</xsl:apply-templates>
			</table>
			<br/>
			<form method="post" action="{$baseActionURL}">
				<input type="hidden" name="action" value="annuaireuser" />
				<input class="uportal-button" type="submit" value="Ajouter" name="butadd" />
			</form>
		</td>
	</tr>
</table>

</xsl:template>

<xsl:template match="group">
	<tr onmouseover="setPointer(this, 'over', 'uportal-background-med', 'BODY');" onmouseout="setPointer(this, 'out', 'uportal-background-med', 'BODY');">
		<td><img src="{$mediaPath}group.gif" border="0" /></td>
		<td class="uportal-channel-text" nowrap="true"><xsl:value-of select="./@name" /></td>
		<td width="100%">&#160;</td>
	</tr>
</xsl:template>

<xsl:template match="user">
	<tr onmouseover="setPointer(this, 'over', 'uportal-background-med', 'BODY');" onmouseout="setPointer(this, 'out', 'uportal-background-med', 'BODY');">
		<td><img src="{$mediaPath}user.gif" border="0" /></td>
		<td class="uportal-channel-text" nowrap="true"><xsl:value-of select="./@displayname" /></td>
		<td width="100%">&#160;</td>
	</tr>
</xsl:template>

</xsl:stylesheet>