<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="html" indent="no" />

<xsl:param name="baseActionURL" />
<xsl:param name="prefForm" />
<xsl:param name="mediaPath" />
<xsl:param name="folderid" />

<xsl:template match="xml">
	<table border="0" width="100%" cellspacing="0" cellpadding="10">
	<tr class="uportal-background-med">
		<td class="uportal-channel-table-header" nowrap="true">Ajout de publicateurs</td>
		<td>
			<a href="{$baseActionURL}?action=permissions&amp;folderid={$folderid}">
				<img src="{$mediaPath}parentfolder.gif" alt="Retour" title="Retour" border="0" />
			</a>
		</td>
		<td width="100%">&#160;</td>
	</tr>
	</table>
<br/>
<br/>
<form method="post" action="{$baseActionURL}">
<input type="hidden" name="action" value="addgrouppub" />
<table border="0" width="100%" cellspacing="0" cellpadding="5">
	<xsl:apply-templates select="groups/group" />
</table>

<br/>
<input class="uportal-button" type="submit" name="butvalid" value="Valider" /><input class="uportal-button" type="submit" name="butadd" value="Ajouter une personne" />
</form>

</xsl:template>

<xsl:template match="group">
	<tr>
		<td align="center" valign="absmiddle"><input type="checkbox" name="gid" value="{./@id}"/></td>
		<td align="center" valign="absmiddle"><img src="{$mediaPath}group.gif" /></td>
		<td class="uportal-channel-text" nowrap="true"><xsl:value-of select="./@name" /></td>
		<td width="100%">&#160;</td>
	</tr>
</xsl:template>

</xsl:stylesheet>