package org.esupportail.portal.channels.CIntranet.utils;

/**
 * XMLUtils<br>
 * <br>
 * Cette classe propose des outils pour manipuler du code XML<br>
 * <br>
 * (c)Copyright <a href="http://www.esup-portail.org">ESup-Portail 2004</a><br>
 * @author <a href="mailto:mathieu.larchet@univ-nancy2.fr">Mathieu Larchet</a>
 * @version 2.0
 * 
 */
public class XMLUtils {
    
    /**
     * Echappe les caractres spciaux XML
     * @param in La chane  chapper
     * @return La chane chappe
     */
    public static String xmlEscape(String in) {
        if(in == null) {
            return "";
        }
        String out = in.replaceAll("&", "&#38;");
        out = out.replaceAll("<", "&#60;");
        out = out.replaceAll(">", "&#62;");
        out = out.replaceAll("\"", "&#34;");
        return out;
    }
}
